你好,游客 登录 注册 搜索
背景:
阅读新闻

ImageMagick 拒绝服务漏洞(CVE-2017-12434)

[日期:2017-08-09] 来源:Linux社区  作者:Linux [字体: ]
ImageMagick 拒绝服务漏洞(CVE-2017-12434)


发布日期:2017-08-02
更新日期:2017-08-09

受影响系统:

ImageMagick ImageMagick 7.0.6-1

描述:


CVE(CAN) ID: CVE-2017-12434

ImageMagick是一款Unix/Linux平台下开源的图像查看和编辑工具。

ImageMagick 7.0.6-1版本在coders/mat.c的ReadMATImage函数实现上缺少NULL检查,可使攻击者造成 image.c/DestroyImageInfo 拒绝服务。

<*来源:vendor
  *>

建议:


厂商补丁:

ImageMagick
-----------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://github.com/ImageMagick/ImageMagick/issues/547

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-08/146120.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款